Subject: Re: bug#14180: PATCH Better fullscreen frame support on Windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Apr 2013 14:56:52 +0300

> Date: Sat, 13 Apr 2013 13:33:56 +0200
> From: Jan Djärv <[email-masked]>
> CC: Erik Charlebois <[email-masked]>, [email-masked]
> 
> 2013-04-13 12:09, Eli Zaretskii skrev:
> 
> >
> > Jan, does the fullscreen functionality on X also maximizes the frame
> > to one of the monitors, when several monitors are available?  I don't
> > want to introduce differences in behavior here.
> >
> 
> If there is a window manager running, we just tell the window manager to make 
> Emacs fullscreen, so it is really up to the WM.  The window managers I worked 
> with do maximize on one monitor only.
> 
> When no WM is running we maximize to the whole display, i.e. all monitors. 
> But that is more or less just for debugging when you want to see Emacs <-> 
> Xserver interractions without a WM getting in the way.  It is nothing a user 
> ever encounters.

OK, thanks.  So I guess that part of Erik's patch is fine.